Package com.avaya.clientservices.contact.fields

## Class EditableContactEmailAddressField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactEmailAddressField
    - - com.avaya.clientservices.contact.fields.EditableContactEmailAddressField

- All Implemented Interfaces:
    `BaseContactField`

      public class EditableContactEmailAddressField
      extends ContactEmailAddressField

  EditableContact field which is storing email address values and inherits the meta data description of the field.

  To add a new email address, create an object of this class and add to the EmailAddresses collection.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EditableContactEmailAddressField()` | Editable email address field constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `void` | `setAddress​(java.lang.String address)` | Sets the email address.
    `void` | `setLabel​(java.lang.String label)` | Set the email label.
    `void` | `setType​(ContactEmailAddressType type)` | Sets the email address type.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactEmailAddressField

      `getAddress, getLabel, getType, hashCode`

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `getCapability, getContactProviderSourceType, setContactProviderSourceType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditableContactEmailAddressField

          public EditableContactEmailAddressField()

      Editable email address field constructor.

  - ### Method Detail

    - #### setAddress

          public void setAddress​(java.lang.String address)

      Sets the email address.
      Parameters:
        `address` - email address to be set.

    - #### setLabel

          public void setLabel​(java.lang.String label)

      Set the email label.
      Parameters:
        `label` - label to be set.

    - #### setType

          public void setType​(ContactEmailAddressType type)

      Sets the email address type.
      Parameters:
        `type` - email address type to be set.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ContactEmailAddressField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ContactEmailAddressField`